Package ghidra.program.util

# Class PostCommentFieldLocation

java.lang.Object
ghidra.program.util.ProgramLocation
ghidra.program.util.CodeUnitLocation
ghidra.program.util.CommentFieldLocation
ghidra.program.util.PostCommentFieldLocation

All Implemented Interfaces:
  `Cloneable`, `Comparable<ProgramLocation>`

public class PostCommentFieldLocation extends CommentFieldLocation
The `EolCommentFieldLocation` class contains specific location information within the EOL comment field of a CodeUnitLocation object.

- ## Field Summary

  ### Fields inherited from class ghidra.program.util.CommentFieldLocation

  `comment, type`

  ### Fields inherited from class ghidra.program.util.ProgramLocation

  `addr, program, refAddr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PostCommentFieldLocation()`
  Default constructor needed for restoring an end-of-line field location from XML.
  `PostCommentFieldLocation(Program program, Address addr, int[] componentPath, String[] comment, int displayableCommentRow, int charOffset)`
  Construct a new PostCommentFieldLocation.

- ## Method Summary

  ### Methods inherited from class ghidra.program.util.CommentFieldLocation

  `equals, getComment, getCommentType, hashCode, restoreState, saveState, toString, validateType`

  ### Methods inherited from class ghidra.program.util.CodeUnitLocation

  `isValid`

  ### Methods inherited from class ghidra.program.util.ProgramLocation

  `clone, compareAddr, compareTo, getAddress, getByteAddress, getCharOffset, getColumn, getComponentPath, getLocation, getProgram, getRefAddress, getRow, getTranslatedCopy`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PostCommentFieldLocation

    public PostCommentFieldLocation(Program program, Address addr, int[] componentPath, String[] comment, int displayableCommentRow, int charOffset)
    Construct a new PostCommentFieldLocation.
    Parameters:
      `program` - the program of the location
      `addr` - the address of the codeunit.
      `componentPath` - the componentPath of the codeUnit
      `comment` - comment text for the particular comment indicated by the address, subtype, and reference address.
      `displayableCommentRow` - the line within the Post comment as displayed.
      `charOffset` - the character position on the line within the comment line.

  - ### PostCommentFieldLocation

    public PostCommentFieldLocation()
    Default constructor needed for restoring an end-of-line field location from XML.